Bug 1205468 - [Regression] Sorting mechanism broken on Languages page
Summary: [Regression] Sorting mechanism broken on Languages page
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI
Version: 3.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.6
Assignee: Alex Eng
QA Contact: Damian Jansen
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: Zanata-3.6.1
TreeView+ depends on / blocked
 
Reported: 2015-03-24 23:59 UTC by Damian Jansen
Modified: 2015-04-20 00:29 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-04-20 00:29:50 UTC


Attachments (Terms of Use)

Description Damian Jansen 2015-03-24 23:59:05 UTC
Description of problem:
The sorting dropdown on the Languages page shows an empty list when Locale is selected, and an exception when Members is selected

Version-Release number of selected component (if applicable):
3.6

How reproducible:
Easy always

Steps to Reproduce:
1. Go to Languages
2. Select the dropdown, then Locale
  - Empty list
3. Select Members from the dropdown

Actual results:
org.hibernate.LazyInitializationException: failed to lazily initialize a collection of role: org.zanata.model.HLocale.members, could not initialize proxy - no Session

Expected results:
No exceptions

Additional info:

Comment 1 Alex Eng 2015-03-25 03:52:37 UTC
Pull request:
https://github.com/zanata/zanata-server/pull/746

Comment 2 Damian Jansen 2015-03-25 03:59:48 UTC
Verified (release) at cabb3de7dfa49f075749263d806eda143e5ba7a8


Note You need to log in before you can comment on or make changes to this bug.